Bug 1260282 - runtime directory not packaged
runtime directory not packaged
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-regenerator (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1194946 1239726 1239730
  Show dependency treegraph
 
Reported: 2015-09-05 10:05 EDT by Piotr Popieluch
Modified: 2015-10-31 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: nodejs-regenerator-0.8.39-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:35:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-05 10:05:35 EDT
runtime directory is not packaged, this is needed when using tests which use this package.



+ mocha --reporter spec

fs.js:439
  return binding.open(pathModule._makeLong(path), stringToFlags(flags), mode);
                 ^
Error: ENOENT, no such file or directory '/usr/lib/node_modules/regenerator/runtime/dev.js'
    at Object.fs.openSync (fs.js:439:18)
Comment 1 Piotr Popieluch 2015-09-10 15:20:56 EDT
fixed in rawhide
Comment 2 Fedora Update System 2015-10-16 16:52:55 EDT
nodejs-regenerator-0.8.39-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e3a5e1e20c
Comment 3 Fedora Update System 2015-10-17 14:21:22 EDT
nodejs-regenerator-0.8.39-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-regenerator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e3a5e1e20c
Comment 4 Fedora Update System 2015-10-31 22:35:45 EDT
nodejs-regenerator-0.8.39-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.